MVC3.0在个版本的iis的配置

长平狐 发布于 2012/09/03 14:32
阅读 365
收藏 0
  1. 概述:  
  2.   
  3. 最近在做一个MVC 3的项目,在部署服务器时破费了一番功夫,特将过程整理下来,希望可以帮到大家!  
  4.   
  5. 本文主要介绍在IIS5.1、IIS6.0、IIS7.5中安装配置MVC 3的具体办法!  
  6.   
  7. 正文:   
  8.   
  9. IIS5.1  
  10. 1. 安装Microsoft .net FrameWork 4.0安装包;  
  11.   
  12. 2. 安装ASP.NET MVC 3;  
  13.   
  14. 3. 在IIS中发布网站,创建虚拟目录,ASP.NET版本选择4.0.30196;  
  15.   
  16. 4. 添加MVC的解析:  
  17.   
  18. 右击IIS中的虚拟目录选择“属性”-“虚拟目录”-“配置”-“映射”-“添加”,配置如下:  
  19.   
  20. 可执行文件:C:\WINDOWS\Microsoft.NET\Framework\v4.0.30196\aspnet_isapi.dll,  
  21.   
  22. 扩展名:.*  
  23.   
  24. 动作:全部动作  
  25.   
  26. 脚本引擎:选中  
  27.   
  28. 检查文件是否存在:不选中  
  29.   
  30. 点击确定,最后如下图所示:  
  31.   
  32.   
  33.   
  34. IIS6.0  
  35. 1. 安装Microsoft .net FrameWork 4.0安装包;  
  36.   
  37. 2. 安装ASP.NET MVC 3;  
  38.   
  39. 3. 设置“Web扩展服务”中的“ASP.NET v4.0.0.30319”为允许,如下图所示:  
  40.   
  41.   
  42.   
  43. 4. 在IIS中发布网站,创建虚拟目录,ASP.NET版本选择4.0.30196;  
  44.   
  45. 5. 添加MVC的解析:  
  46.   
  47. 右击IIS中的网站选择“属性”-“主目录”-“配置”-“映射”-“插入”,配置如下:  
  48.   
  49. 可执行文件:C:\WINDOWS\Microsoft.NET\Framework\v4.0.30196\aspnet_isapi.dll,  
  50.   
  51. 扩展名:.*  
  52.   
  53. 确认文件是否存在:不选中  
  54.   
  55. 点击确定,最后如下图所示:  
  56.   
  57.   
  58.   
  59. IIS7.5  
  60. 1. 安装 Microsoft .net FrameWork 4.0安装包;  
  61.   
  62. 2. 安装ASP.NET MVC 3;  
  63.   
  64. 3. 设置IIS的“ISAPI和CGI限制”中的“ASP.NET v4.0.0.30319”为允许,如下图所示:  
  65.   
  66.   
  67.   
  68. 4. 在IIS中发布网站;  
  69.   
  70. 5. 编辑该网站的应用程序池,设置.NET Framework 版本为4.0.30196;  
  71.   
  72.   
  73.   
  74. 注意事项:  
  75. 1. NET Framework4下载地址:  
  76.   
  77. http://www.microsoft.com/downloads/zh-cn/details.aspx?FamilyID=0A391ABD-25C1-4FC0-919F-B21F31AB88B7  
  78.   
  79. 2. MVC 3 下载地址:  
  80.   
  81. http://www.microsoft.com/downloads/en/details.aspx?FamilyID=d2928bc1-f48c-4e95-a064-2a455a22c8f6  
  82.   
  83. 3. 若在安装完毕NET Framework后才安装的IIS,请重新在IIS中注册NET Framework,在运行中输入:  
  84.   
  85. C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -i  
  86.   
  87. 4. 若出现需要修改"CompilerVersion”错误,请参照下面代码修改或添加网站的Web.config中configuration——system.codedom配置节:  
  88.   
  89. <system.codedom>  
  90. <compilers>  
  91. <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CSharp.CSharpCodeProvider,System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" warningLevel="4">  
  92. <providerOption name="CompilerVersion" value="v4.0"/>  
  93. <providerOption name="WarnAsError" value="false"/>  
  94. </compiler>  
  95. <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.VisualBasic.VBCodeProvider, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" warningLevel="4">  
  96. <providerOption name="CompilerVersion" value="v4.0"/>  
  97. <providerOption name="OptionInfer" value="true"/>  
  98. <providerOption name="WarnAsError" value="false"/>  
  99. </compiler>  
  100. </compilers>  
  101. </system.codedom>  

原文链接:http://blog.csdn.net/niemeiquan/article/details/7842782
加载中
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部